Bug 1612105 (CVE-2018-1000225)

Summary: CVE-2018-1000225 cobbler: Persistent XSS vulnerability in cobbler-web
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abergmann, athmanem, bkearney, ggainey, jimi, kwizart, meissner, orion, scott, tkasparek, tlestach, vanmeeuwen+fedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-08 15:32:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1613176, 1613177, 1613178    
Bug Blocks: 1612109    

Description Pedro Sampaio 2018-08-03 13:33:31 UTC
It was found that cobbler-web renders HTML and executes JavaScript payloads that are provided by users. Combined with authentication problems in the Cobbler XMLRPC API, this allows unauthenticated users to inject malicious payloads into the web UI.

Upstream bug:

https://github.com/cobbler/cobbler/issues/1917

References:

https://movermeyer.com/2018-08-02-privilege-escalation-exploits-in-cobblers-api/

Comment 1 Tomáš Kašpárek 2018-08-03 14:04:41 UTC
This issue is not affecting Satellite 5 product as it does not use cobbler web at all. cobbler-web which is subpackage of cobbler which provides UI functionality piece is not even installed on Satellite 5 product (and the cobbler-web subpackage is not even shipped with Satellite 5, see e.g. 5.8 GA erratum: https://errata.devel.redhat.com/errata/content/26124).
IMO this bugzilla could (and should) be closed.

Comment 2 Cedric Buissart 🐶 2018-08-06 07:34:43 UTC
Statement:

This issue did not affect the versions of cobbler as shipped with Red Hat Satellite 5 as it does not ship cobbler-web.

Comment 3 Cedric Buissart 🐶 2018-08-07 08:06:15 UTC
Created cobbler tracking bugs for this issue:

Affects: epel-all [bug 1613177]
Affects: fedora-all [bug 1613176]